#ifndef PRIMARY_ENTRY_H
#define PRIMARY_ENTRY_H
void 
rfm_time_out(widgets_t *widgets_p, const gchar *path);

gboolean 
rfm_entry_available(widgets_t *widgets_p, record_entry_t *en);

void
rfm_set_mime_dtype(record_entry_t *en);

gboolean
rfm_set_remote_type(const gchar *path);

gboolean
rfm_set_local_type(const gchar *path);

gboolean
rfm_set_monitor_type(const gchar *path);

void
rfm_entry_set_type(record_entry_t *en);

record_entry_t *
  rfm_mk_entry (gint type);

record_entry_t *
rfm_mk_entry_path (const gchar * path, gint type);

record_entry_t *
  rfm_stat_entry (const gchar * path, gint type);

gboolean 
rfm_is_valid_entry(view_t *view_p, record_entry_t *en);

record_entry_t *
  rfm_copy_entry (const record_entry_t * src_en);

void
  rfm_destroy_entry (record_entry_t * en);

void
  rfm_set_entry_tag (widgets_t *widgets_p, record_entry_t * en, off_t tama);


#endif
